import { CSSProperties, HTMLAttributes, MouseEvent } from 'react';
export interface BacktopProps extends Omit<HTMLAttributes<HTMLDivElement>, 'className' | 'ref'> {
    style?: CSSProperties;
    className?: string | string[];
    visibilityHeight?: number;
    right?: number;
    bottom?: number;
    target?: React.RefObject<HTMLDivElement>;
    onClick?: (event: MouseEvent<HTMLDivElement>) => void;
}
